Subject: What will grow under a Norway Maple

From: [email-masked] (Liana Babin)
Date: Fri, 31 Mar 1995 17:43:31 GMT

We have a good sized Norway Maple that has reaached the stage of
ruining the grass under it. If only I'd know 15 years ago what I know 
now......

Is there anything tough enough to compete with all those surface roots.
I have put some dirt on top of the lown, hoping to give whatever I put 
there a bit of a start.

We have sandy soil, the area gets watered every 2-3 days and we live in
Zone 5.

Thanks for any help!!

Muriel